GNU bug report logs - #21777
25.0.50; gud-gdb uses a pager, which is harmful inside emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dima Kogan <dima@HIDDEN>; dated Wed, 28 Oct 2015 19:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21777 <at> debbugs.gnu.org:


Received: (at 21777) by debbugs.gnu.org; 29 Oct 2015 22:58:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 29 18:58:51 2015
Received: from localhost ([127.0.0.1]:44863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zrw9j-0006EZ-5S
	for submit <at> debbugs.gnu.org; Thu, 29 Oct 2015 18:58:51 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:55935)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1Zrw9g-0006ER-Cb
 for 21777 <at> debbugs.gnu.org; Thu, 29 Oct 2015 18:58:48 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 1C9CA207FB
 for <21777 <at> debbugs.gnu.org>; Thu, 29 Oct 2015 18:58:48 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute2.internal (MEProxy); Thu, 29 Oct 2015 18:58:48 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp; bh=PJfzN
 oMI1wtftnS16C/OrNAjHEw=; b=wJTDyXheYZ2KN8Y/qpuOjo6EiPmzEKkscSezH
 M5UEiynAxMWCNZ84JiFxHjKni2C8Hq5TTLb0uRXkGd5WwlMH5QcRaZFIyC3n0LEW
 jfMyZeie/Wq+1GJbpQ4R4LVyVze9NXZjIqD3pWgI8wVfbDepUwTWFKuPOHcAVQQ3
 TXF03I=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=PJfzNoMI1wtftnS16C/OrNAjHEw=; b=ICobz
 R/XU/gLlmcxNt4HEFj1Vl60vfhdD/m+SURTRaGPT78skRefhwo4kgcmn4cCsfnYf
 TBWrJyfypNNe37kQSVlTTw+vYlNUBpdiPYDWBnBUjqSM8dQDtD8BCx3aBeTldgj5
 PaPM2lSdIm6P1OxGfremXrdJC0oOVuq24idwxc=
X-Sasl-enc: O2Iv3oo0h1uzMp5JpB/A5zBoNGL/cKInGQAn2jQgNECF 1446159527
Received: from shorty.local (50-1-153-216.dsl.dynamic.fusionbroadband.com
 [50.1.153.216])
 by mail.messagingengine.com (Postfix) with ESMTPA id B9FE96800E3;
 Thu, 29 Oct 2015 18:58:47 -0400 (EDT)
Received: from ip6-localhost ([::1] helo=shorty)
 by shorty.local with esmtp (Exim 4.84)
 (envelope-from <dima@HIDDEN>)
 id 1Zrw9e-0000KA-Hl; Thu, 29 Oct 2015 15:58:46 -0700
References: <87ziz2x0j6.fsf@HIDDEN> <87fv0uaas1.fsf@HIDDEN>
 <87twpaha8u.fsf@HIDDEN> <837fm53b25.fsf@HIDDEN>
From: Dima Kogan <dima@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21777: 25.0.50;
 gud-gdb uses a pager, which is harmful inside emacs
In-reply-to: <837fm53b25.fsf@HIDDEN>
Date: Thu, 29 Oct 2015 15:58:46 -0700
Message-ID: <87pozxgu3d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21777
Cc: 21777 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Dima Kogan <dima@HIDDEN>
>>
>> Hi. Thanks for replying. Looking at gdb/utils.c, apparently gdb looks at
>> the EMACS environment variable, which was set previously but is not
>> anymore:
>> 
>> 2. patch gdb to look at INSIDE_EMACS not EMACS
>
> That should be done regardless, I will submit a patch to GDB.

Thanks for doing that!


>> 3. handle this inside emacs, not relying on gdb behavior
>> 
>> I like 3. Emacs should be responsible for things emacs wants, not
>> external applications, even if they're GNU applications.
>
> 3 is okay in principle, but you didn't show any specific suggestions.
> What did you have in mind?

gud-gdb.el can send a "set height unlimited" command when it starts the
gdb process. I'm happy to give you a patch, if you want.


> Please also keep in mind that "M-x gud-gdb" is a legacy command, and
> the more modern "M-x gdb" doesn't have that problem.

I didn't like it when I tried it the last time; don't remember what
specifically was the problem. But if we're still shipping gud-gdb, it
should work properly, I think.


> There's also:
>
>  4. Fix this locally in your GDB init files (using GDB scripting
>     facilities).

But then it'll annoy others.


>> Also, it looks like gdb checks EMACS in a few more places, and I haven't
>> looked at those yet.
>
> Maybe I'm missing something, but I don't see any additional places
> except the one pointed out by Andreas.

You're right. I was looking at the readline in their tree, but that's
unrelated.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21777; Package emacs. Full text available.

Message received at 21777 <at> debbugs.gnu.org:


Received: (at 21777) by debbugs.gnu.org; 29 Oct 2015 16:16:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 29 12:16:18 2015
Received: from localhost ([127.0.0.1]:44448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zrps9-0002xo-JU
	for submit <at> debbugs.gnu.org; Thu, 29 Oct 2015 12:16:17 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:50820)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zrps6-0002xf-I8
 for 21777 <at> debbugs.gnu.org; Thu, 29 Oct 2015 12:16:15 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NWZ00J00P46HV00@HIDDEN> for 21777 <at> debbugs.gnu.org;
 Thu, 29 Oct 2015 18:16:00 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NWZ00J5DP6OB660@HIDDEN>;
 Thu, 29 Oct 2015 18:16:00 +0200 (IST)
Date: Thu, 29 Oct 2015 18:16:02 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21777: 25.0.50;
 gud-gdb uses a pager, which is harmful inside emacs
In-reply-to: <87twpaha8u.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Dima Kogan <dima@HIDDEN>
Message-id: <837fm53b25.fsf@HIDDEN>
References: <87ziz2x0j6.fsf@HIDDEN> <87fv0uaas1.fsf@HIDDEN>
 <87twpaha8u.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21777
Cc: 21777 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Dima Kogan <dima@HIDDEN>
> Date: Wed, 28 Oct 2015 15:57:37 -0700
> Cc: 21777 <at> debbugs.gnu.org
> 
> Hi. Thanks for replying. Looking at gdb/utils.c, apparently gdb looks at
> the EMACS environment variable, which was set previously but is not
> anymore:
> 
> https://github.com/emacs-mirror/emacs/commit/beaab898968caf8b243a33d24824d430fabc31fc
> 
> This patch in emacs is what broke it. Options:
> 
> 1. revert above patch

That patch fixed a real-life bug, so I don't think reverting it is an
option we should seriously consider.

> 2. patch gdb to look at INSIDE_EMACS not EMACS

That should be done regardless, I will submit a patch to GDB.

> 3. handle this inside emacs, not relying on gdb behavior
> 
> I like 3. Emacs should be responsible for things emacs wants, not
> external applications, even if they're GNU applications.

3 is okay in principle, but you didn't show any specific suggestions.
What did you have in mind?

Please also keep in mind that "M-x gud-gdb" is a legacy command, and
the more modern "M-x gdb" doesn't have that problem.

There's also:

 4. Fix this locally in your GDB init files (using GDB scripting
    facilities).

> Also, it looks like gdb checks EMACS in a few more places, and I haven't
> looked at those yet.

Maybe I'm missing something, but I don't see any additional places
except the one pointed out by Andreas.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21777; Package emacs. Full text available.

Message received at 21777 <at> debbugs.gnu.org:


Received: (at 21777) by debbugs.gnu.org; 28 Oct 2015 22:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 28 18:58:19 2015
Received: from localhost ([127.0.0.1]:42982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZrZfM-0000Qo-0C
	for submit <at> debbugs.gnu.org; Wed, 28 Oct 2015 18:58:18 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:45642)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1ZrZf2-0000QN-2f
 for 21777 <at> debbugs.gnu.org; Wed, 28 Oct 2015 18:57:58 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 64C482034E
 for <21777 <at> debbugs.gnu.org>; Wed, 28 Oct 2015 18:57:39 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute3.internal (MEProxy); Wed, 28 Oct 2015 18:57:39 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp; bh=hcE7s
 cMif4rrTRZQP7D/oCaYx6I=; b=j9x5XS1Uu1IV3Q4bOwHUAmYm4noQD5LJBh2cO
 9s1tAHNnEH28sUC7o2j5T8l9lErpwKz3pfOtiWMwxDSelM5DXIO2p2rOyvKunAyD
 YJw8U4ddTfF3cK/iqDOy0s7fD3djxOh1OZNx5Y9Ut+VCtxFD33AoWVPWuYl1DZhS
 I5Ne4g=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=hcE7scMif4rrTRZQP7D/oCaYx6I=; b=Ug12z
 vpdI+tiEiihkzcpzC8Np89sX2WO1b1uAkw6+YN7WPfLPtm7h5O+LNgT/0E5J1adB
 zF/mcUNg4A7dyTo1YncjbU1OtsvqTs1rAlbZ8GsFdBOe1sDFWiiCWCDdIDGUunL/
 OD07ho9Kbl0lZTIsjghtfRbZ8/4TDxWwEeqU/o=
X-Sasl-enc: KztOfFKMhVshOpJAVjOmMAy0HGSC0OcZh2jF6fy8Sdg2 1446073059
Received: from shorty.local (50-1-153-216.dsl.dynamic.fusionbroadband.com
 [50.1.153.216])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0E58168014C;
 Wed, 28 Oct 2015 18:57:39 -0400 (EDT)
Received: from ip6-localhost ([::1] helo=shorty)
 by shorty.local with esmtp (Exim 4.84)
 (envelope-from <dima@HIDDEN>)
 id 1ZrZez-0000OP-Sa; Wed, 28 Oct 2015 15:57:37 -0700
References: <87ziz2x0j6.fsf@HIDDEN> <87fv0uaas1.fsf@HIDDEN>
From: Dima Kogan <dima@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#21777: 25.0.50;
 gud-gdb uses a pager, which is harmful inside emacs
In-reply-to: <87fv0uaas1.fsf@HIDDEN>
Date: Wed, 28 Oct 2015 15:57:37 -0700
Message-ID: <87twpaha8u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21777
Cc: 21777 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Schwab <schwab@HIDDEN> writes:

> Dima Kogan <dima@HIDDEN> writes:
>
>> Emacs from git says
>>
>>     (gdb) show height
>>     Number of lines gdb thinks are in a page is 24.
>
> This is something that needs to be fixed in gdb, see init_page_info in
> gdb/utils.c.

Hi. Thanks for replying. Looking at gdb/utils.c, apparently gdb looks at
the EMACS environment variable, which was set previously but is not
anymore:

  https://github.com/emacs-mirror/emacs/commit/beaab898968caf8b243a33d24824d430fabc31fc

This patch in emacs is what broke it. Options:

1. revert above patch
2. patch gdb to look at INSIDE_EMACS not EMACS
3. handle this inside emacs, not relying on gdb behavior

I like 3. Emacs should be responsible for things emacs wants, not
external applications, even if they're GNU applications.

Also, it looks like gdb checks EMACS in a few more places, and I haven't
looked at those yet.

Thoughts?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21777; Package emacs. Full text available.

Message received at 21777 <at> debbugs.gnu.org:


Received: (at 21777) by debbugs.gnu.org; 28 Oct 2015 22:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 28 18:28:23 2015
Received: from localhost ([127.0.0.1]:42975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZrZCh-0008AN-8b
	for submit <at> debbugs.gnu.org; Wed, 28 Oct 2015 18:28:23 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:34354)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <whitebox@HIDDEN>) id 1ZrZCL-00089W-HA
 for 21777 <at> debbugs.gnu.org; Wed, 28 Oct 2015 18:28:20 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3nmPg36SkPz3hj9q;
 Wed, 28 Oct 2015 23:27:59 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3nmPg34n7qzvh1s;
 Wed, 28 Oct 2015 23:27:59 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id 2cx2_TnmMCKM; Wed, 28 Oct 2015 23:27:58 +0100 (CET)
X-Auth-Info: Cj59b7Y6OfJUWdW1pkhnpBc4pfOqymJDUDOCI2MyVBfMMf/1cIZGFk1dITaAebHL
Received: from igel.home (host-188-174-209-241.customer.m-online.net
 [188.174.209.241]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Wed, 28 Oct 2015 23:27:58 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 3A3102C1661; Wed, 28 Oct 2015 23:27:58 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Dima Kogan <dima@HIDDEN>
Subject: Re: bug#21777: 25.0.50;
 gud-gdb uses a pager, which is harmful inside emacs
References: <87ziz2x0j6.fsf@HIDDEN>
X-Yow: ..  One FISHWICH coming up!!
Date: Wed, 28 Oct 2015 23:27:58 +0100
In-Reply-To: <87ziz2x0j6.fsf@HIDDEN> (Dima Kogan's message of "Wed,
 28 Oct 2015 12:20:45 -0700")
Message-ID: <87fv0uaas1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21777
Cc: 21777 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Dima Kogan <dima@HIDDEN> writes:

> Emacs from git says
>
>     (gdb) show height
>     Number of lines gdb thinks are in a page is 24.

This is something that needs to be fixed in gdb, see init_page_info in
gdb/utils.c.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21777; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2015 19:20:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 28 15:20:59 2015
Received: from localhost ([127.0.0.1]:42868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZrWHL-0003eA-BP
	for submit <at> debbugs.gnu.org; Wed, 28 Oct 2015 15:20:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45228)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dima@HIDDEN>) id 1ZrWHJ-0003e2-Ak
 for submit <at> debbugs.gnu.org; Wed, 28 Oct 2015 15:20:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dima@HIDDEN>) id 1ZrWHG-00005X-3z
 for submit <at> debbugs.gnu.org; Wed, 28 Oct 2015 15:20:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52124)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dima@HIDDEN>) id 1ZrWHF-00005N-Vd
 for submit <at> debbugs.gnu.org; Wed, 28 Oct 2015 15:20:54 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55196)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dima@HIDDEN>) id 1ZrWHE-0007Ly-9I
 for bug-gnu-emacs@HIDDEN; Wed, 28 Oct 2015 15:20:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dima@HIDDEN>) id 1ZrWHB-0008VW-3L
 for bug-gnu-emacs@HIDDEN; Wed, 28 Oct 2015 15:20:52 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:59957)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dima@HIDDEN>) id 1ZrWHA-0008UW-JM
 for bug-gnu-emacs@HIDDEN; Wed, 28 Oct 2015 15:20:48 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 11683208E0
 for <bug-gnu-emacs@HIDDEN>; Wed, 28 Oct 2015 15:20:47 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute5.internal (MEProxy); Wed, 28 Oct 2015 15:20:47 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=secretsauce.net;
 h=content-type:date:from:message-id:mime-version:subject:to
 :x-sasl-enc:x-sasl-enc; s=mesmtp; bh=WqiUVFwnpELg83Tos175f6CvpYk
 =; b=jJj4Zwt58EnKqHuNq8bC8+AP1pS0Kyweyv9QtvuY0qSZlO0WLwCeqfoyhja
 Olwcp9/nFyPfLMLF+2PhcuT40MdvM6wTyIx9NhAuIpHXVccUlOHuG3ROgEwlDXR7
 7dXLqH1cHkmWq8GAaqWtt8exQ/ZZeloLvSdjaPYAZlp2F0Rc=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=Wq
 iUVFwnpELg83Tos175f6CvpYk=; b=XgEDRY1jvttZiKdwt8DO4O4pvtWWzmQD7b
 UsvADjZ9rpv5iAK/wDbq+SN4fvKBBp0Q212TwBDHg1vGHVIyDsaIu1UNH9wDIBcM
 sYiGBnlqvqnx5xKf8gIi6qbxJ3iqMjBQTzGr6IWYbkJDPfe2T09XvtyiQ/4A2wOp
 gIptu+ZtI=
X-Sasl-enc: L2VID3i2b+hPbEcvlqrN7bHN0/ZmrPcckzXuH/rKcy5Y 1446060046
Received: from shorty.local (50-1-153-216.dsl.dynamic.fusionbroadband.com
 [50.1.153.216])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9A4CB6801AD
 for <bug-gnu-emacs@HIDDEN>; Wed, 28 Oct 2015 15:20:46 -0400 (EDT)
Received: from ip6-localhost ([::1] helo=shorty)
 by shorty.local with esmtp (Exim 4.84)
 (envelope-from <dima@HIDDEN>) id 1ZrWH7-00083P-Kw
 for bug-gnu-emacs@HIDDEN; Wed, 28 Oct 2015 12:20:45 -0700
From: Dima Kogan <dima@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; gud-gdb uses a pager, which is harmful inside emacs
Date: Wed, 28 Oct 2015 12:20:45 -0700
Message-ID: <87ziz2x0j6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi. A regression occurred since 24.4.1, and gud-gdb now uses the pager
by default. This means that when gdb wants to output more than N lines,
it says

   ---Type <return> to continue, or q <return> to quit---

This is intended for gdb running in the console, but makes using gdb
from emacs much less pleasant since extra user interaction becomes
necessary. At worst, gdb sessions meant to be non-interactive (ones that
have self-continuing breakpoint commands for instance) become forcefully
interactive.


Recipe:

1. emacs -Q
2. M-x gud-gdb (select any executable; it doesn't matter)
3. gdb command: show height

Emacs 24.4.1 says

    (gdb) show height
    Number of lines gdb thinks are in a page is unlimited.

This is good. The pager is off, and emacs will receive all gdb output
without extra user interaction.

Emacs from git says

    (gdb) show height
    Number of lines gdb thinks are in a page is 24.

This is bad. After 24 lines of output gdb will pester the user. I
haven't attempted to do any debugging here yet. Probably will look at it
eventually, but if somebody knows what's wrong immediately, that'd be
great




Acknowledgement sent to Dima Kogan <dima@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21777; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 29 Oct 2015 23:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.